import init, { dctify, resize } from './pkg/image_similarity.js';

async function run() {
	await init();
}
run();

onmessage = (e) => {
	let resizedBuffer = resize(e.data);
	postMessage(resizedBuffer);
};